#
# spec file for package hwdata
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           hwdata
Version:        0.301
Release:        6.1
Summary:        Hardware identification and configuration data
License:        GPL-2.0+
Group:          Hardware/Other
Url:            https://github.com/vcrhonek/hwdata
Source:         https://github.com/vcrhonek/hwdata/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
hwdata contains various hardware identification and configuration data,
such as the pci.ids and usb.ids databases.

%prep
%setup -q
%configure

%build
# nothing to build

%install
%make_install
rm -rf %{buildroot}/%{_libdir}/modprobe.d

%files
%defattr(-,root,root,-)
%doc LICENSE COPYING
%dir %{_datadir}/%{name}
%{_datadir}/hwdata/iab.txt
%{_datadir}/hwdata/oui.txt
%{_datadir}/hwdata/pci.ids
%{_datadir}/hwdata/pnp.ids
%{_datadir}/hwdata/usb.ids

%changelog
* Mon Jun 12 2017 mpluskal@suse.com
- Update to version 0.301
* Wed May 10 2017 mpluskal@suse.com
- Update to version 0.300 (boo#1038809)
* Sat Apr 15 2017 mpluskal@suse.com
- Update to version 0.299
- Update project and download urls
- Cleanup spec file with spec-cleaner
* Mon Sep 28 2015 mc@suse.de
- version 0.282
- updated pci, usb and vendor ids
* Sat Sep 13 2014 mc@suse.de
- version 0.269
- updated pci, usb and vendor ids
* Sat Jul 12 2014 mc@suse.com
- update to version 0.267
- updated pci, usb and vendor ids
* Sat Jan 18 2014 mc@suse.com
- update to version 0.258
- updated pci and oui ids
- remove blacklist.conf
* Sat Jan 18 2014 mc@suse.de
- initial release
